[i855] Xserver freezing on Toshiba Satellite A10 (Intel 82852/855GM)

Bug #477256 reported by Jane Atkinson on 2009-11-07
174
This bug affects 71 people
Affects Status Importance Assigned to Milestone
xf86-video-intel
Fix Released
Medium
xserver-xorg-video-intel (Ubuntu)
High
Unassigned

Bug Description

Binary package hint: xserver-xorg-video-intel

After installing Xubuntu Karmic on this laptop, I'm having regular Xserver lockups, as in once per session. The mouse pointer still moves, but clicking does nothing and the keyboard is disabled. I can use the Alt-SysRq-REISUB commands, but the reboot that follows doesn't complete. The only way to clear this is by a complete power-down. The time before the freeze occurs varies but would usually be less than 15 minutes.

I have tried using the standard Xserver-xorg-video-intel with DRI disabled, and a retro version of the same package, but the problem persists. Also tried adding "nomodeset" to the kernel command line when booting, which likewise made no difference.

Hardy has run without issue on this machine, and as far as I can tell, Jaunty also. (I ran it for an hour or more from the live CD without problems.)

The batchbuffer dump archive is attached. I reinstalled the standard Xserver-xorg-video-intel package for this test.

PS: This was spun off from bug 447892, since it doesn't seem to be the same freeze.

Jane Atkinson (irihapeti) wrote :
Bryce Harrington (bryce) wrote :

Hi irihapeti,

Thanks for including the attached files. Could you also include your /var/log/Xorg.0.log (or Xorg.0.log.old) from after reproducing the issue?

[This is an automated message. Apologies if it has reached you inappropriately; please just reply to this message indicating so.]

tags: added: needs-xorglog
Changed in xserver-xorg-video-intel (Ubuntu):
status: New → Incomplete
Jane Atkinson (irihapeti) wrote :

I've attached both Xorg.0.conf and Xorg.0.log.old, because I'm not sure which one, if any, is the one needed.

The laptop was rebooted immediately after the freeze (via ssh) and hung while rebooting, and then again after powering off completely. (I retrieved the log files just now via PartedMagic liveCD.) So maybe the necessary info has been overwritten. :(

I can run the whole batchbuffer thing again and include the Xorg.0.log file this time, if it will help.

Jane Atkinson (irihapeti) wrote :
Jane Atkinson (irihapeti) wrote :

Should have added this in the initial report: This bug is a duplicate of / related to https://bugs.launchpad.net/xserver-xorg-video-intel/+bug/447892

Also: Xorg.0.log from the time of the freeze was provided as part of the initial batchbuffer dump archive.

Bryce Harrington (bryce) on 2009-11-09
summary: - Xserver freezing on Toshiba Satellite A10 (Intel 82852/855GM)
+ [i855] Xserver freezing on Toshiba Satellite A10 (Intel 82852/855GM)
Jane Atkinson (irihapeti) wrote :

I see that this bug is still marked "incomplete".

Is there something else I should be doing to help progress?

Geir Ove Myhr (gomyhr) on 2009-11-14
tags: added: 855gm freeze karmic
removed: needs-xorglog
Geir Ove Myhr (gomyhr) wrote :

Irihapeti, in bug 447892 comment 23 it was suggested to use xorg-edgers with the option DebugFlushCaches. Could you use that for your batchbuffer dump, since it will most likely make it easier for the developers to make sense of it.

Also, except for the batchbuffer dump, we prefer to have files attached separately and not in an archive. That makes it much easier to look at them through the web interface. It would be nice if you could copy /var/log/Xorg.0.log at the same time as you are making the batchbuffer dump (when you are logged in via SSH and the computer is frozen).

Changed in xserver-xorg-video-intel (Ubuntu):
status: Incomplete → Confirmed
description: updated
Jane Atkinson (irihapeti) wrote :

@Geir Ove Myhr:
Sorry if this is a stupid question, but there appear to be links to two versions of xorg-edgers attached to that message. Which one do I use?

Geir Ove Myhr (gomyhr) wrote :

Sorry, I thought the link to xorg-edgers was more visible in that bug report. The right one is https://launchpad.net/~xorg-edgers/+archive/ppa (in comment 9). The other links are to other things.

Jane Atkinson (irihapeti) wrote :

@Geir Ove Myhr

Ahh, I was thinking I had to download stuff from git and compile it!! A ppa sounds much easier for me to handle.

So, if I understand correctly, I need to install the .deb from the ppa, create an xorg.conf file with:

Section "Device"
 Identifier "my-old-i8xx"
 Driver "intel"
 Option "DebugFlushCaches" "1"
EndSection

recreate the freeze, and post a batchbuffer archive plus the xorg.0.log as a separate text file.

Have I got that right?

> Have I got that right?
Almost...

> So, if I understand correctly, I need to install the .deb from the ppa,

The xorg-edgers is made so that the packages depend on each other in
the right way. So while it may work to only install the
xserver-xorg-video-intel .deb from the ppa, it may happen that it
doesn't (if the xorg-server in the PPA is too new compared to the one
in Karmic, for example). The way it is meant is to add the PPA to
/etc/apt/sources.list and then do a `sudo apt-get update` and a `sudo
apt-get dist-upgrade`. It used to be quite cumbersome to back out
again, but now there is the ppa-purge script in there that does that
easily (`sudo apt-get install ppa-purge` to get it after having
xorg-edgers).

Otherwise, you got it all right :-)

Jane Atkinson (irihapeti) wrote :

Thanks. It goes to show that it pays to ask for clarification, even if I risk looking like an idiot :) As you might have guessed, I'm new to bug reporting.

Jane Atkinson (irihapeti) wrote :

Here are the latest logs, after following the instructions given above. I hope these are more useful.

Jane Atkinson (irihapeti) wrote :

Xorg.0.conf, posted separately

Geir Ove Myhr (gomyhr) wrote :

Thank you for the new files. At bug 476817 which is similar to this (855GM freeze bug) it is reported that adding acpi=off to the kernel command line avoids the freezes. Could you check if this is the case for you as well? To edit the kernel command line, press Esc on boot the show the Grub boot menu, 'e' to edit the default entry and then you can add acpi=off after "quiet splash".

Jane Atkinson (irihapeti) wrote :

That appears to have fixed the freezing. I used the system for over 3 hours, mainly web browsing. Previously, the limit was one hour, maximum, and often a lot less.

However, two odd things happened. Firstly, that the screen suddenly went blank for no apparent reason. Moving the mouse did not restore it but touching the touchpad did. This happened twice during the session. Secondly, the laptop did not shut down properly. The final message on the screen reads:

login: init: statd main process (2206) killed by KILL signal
init: statd main process ended, respawning
[11176.911297] System halted.

I had to pull out the plug to turn it off completely.

Jane Atkinson (irihapeti) wrote :

I found a fix for the shutdown problem here:

http://ubuntuforums.org/archive/index.php/t-417028.html

It may take a while before I know if that's caused any other problems.

Geir Ove Myhr (gomyhr) wrote :

A couple of more things I would like you to test in order to narrow this down (when booting without acpi=off)
- Could you try to disable desktop effects and see if you stil have freezes
- If you start the computer and leave it at the login screen, does it still hang, or do you have to log in first?
- Could you try a recent mainline kernel from http://kernel.ubuntu.com/~kernel-ppa/mainline/ (more info at https://wiki.ubuntu.com/KernelTeam/MainlineBuilds) and see if the new kernel makes the problem go away? The new kernel installs in parallel to the old one, and you can choose which one to start from the Grub boot menu (you can uninstall the test kernel after testing if you would like).

Jane Atkinson (irihapeti) wrote :

I'd like to clarify a couple of things, if I may.

I think that desktop effects are already turned off. I'm not that familiar with Xubuntu, and I'm just running with the default settings. The compositor is turned off in the Window Manager Tweaks application. Is there something else I need to do as well?

I've never had the computer hang if I leave it and do nothing, even when logged in. I seem to have to be doing something active such as scrolling through documents or changing tabs in Firefox. How long would I need to leave inactive it to be sure?

So far, the new settings have meant I can actually use the computer for several hours. There is still this mysterious sudden blanking of the screen, but it's not a freeze or xserver crash and touching the touchpad or pressing an arrow key reactivates it.

By the way, I had to uninstall the xorg-edgers version of xserver-xorg-video-intel because it wouldn't let me boot with acpi=off. On boot up a rapidly blinking text message would appear and the computer hung. I didn't make a note of it, unfortunately.

Jane Atkinson (irihapeti) wrote :

Installed mainline kernel v2.6.32-rc7, dated 13 November. The machine locked up as usual, but with one difference: I could use cntrl-alt-F2 to access tty2. Running TOP showed nothing unusual. I tried restarting gdm but it did no good. On reboot it hung at "loading modem drivers" or similar wording.

Jane Atkinson (irihapeti) wrote :

Further tests:
I installed the xorg.conf file from https://bugs.launchpad.net/bugs/447892, comment 41, so as to see what happens if I use the VESA driver.

Without the addition of acpi=off to Grub, the laptop hangs at a blank screen with a cursor once it's got past the initial XFCE mouse screen.

If I add acpi=off to the kernel line, then it boots completely and behaves much the same as the Intel driver. That is, I still get these unexpected screen blackouts at more or less 3/4 hour to 1 hour intervals. Moving the mouse (usb) does not revive the screen but pressing an arrow key or touching the touchpad does. No data is lost, but it's a bit disconcerting.

I booted into Ubuntu 8.04 for several hours this morning, and it's not happening there, so I don't think there's a hardware fault.

Jane Atkinson (irihapeti) wrote :

Upgraded to the latest standard Karmic kernel, along with various other updates (but none for xserver-xorg-video-intel, I noticed). The laptop locked up after about 10 minutes or so, that is, without acpi=off in the Grub kernel command line.

Ben (benjamin-buffet) wrote :

I confirm the problem for this laptop.
I also install xubuntu on my Toshiba Satellite A10 and there are random freeze.

@Irihapeti have you found a temporary solution or must I install xubuntu 9.04 ?

Jane Atkinson (irihapeti) wrote :

@Ben

Yes, there is a workaround.

1) Add "acpi=off" (without the quotes characters) to kernel line in Grub. It should end like this: .... acpi=off quiet splash

2)Edit /etc/modules and add a new line: "apm power_off=1"

I'm still getting the screen suddenly go blank from time to time, but I restore it by pressing an arrow key or by touching the touchpad. No data is lost.

Ben (benjamin-buffet) wrote :

@Irihapeti thanx ;)

I will try as soon as possible, but I just downgrad to 9.04 as I need to work with the Toshiba

Philip (philip-askthelocal) wrote :

I run fedora 9 on a toshiba satellite A10 and have only this morning seen this same problem. I wonder if there is an element of hardware failure here? This is a laptop I've used since 2004.

Jane Atkinson (irihapeti) wrote :

I installed linux-image-2.6.30-freezetest1, linux-image-2.6.30-freezetest8 and linux-image-2.6.30-freezetest9, as per https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-intel/+bug/447892. I tested freezetest1 and freezetest9 for over 1 1/2 hours without lockup. I removed "acpi=off" from the grub kernel line in both cases.

The kernels behaved well, as far as I can tell, except that I had to boot using the recovery mode. Otherwise, boot hung at the point where the listing of modem drivers occurs.

As version 9 didn't freeze, I didn't bother with testing version 8.

Jane Atkinson (irihapeti) wrote :

I have tried various kernels as per https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-intel/+bug/447892/comments/53

The last kernel I can use without lockup is 2.6.31.2

I notice that this version, plus rc9 and .1, seem to cause a lot of heavy CPU use which really slows down Firefox in particular. Also, on bootup I get an error message:
kernel: [ 0.076432] pci 0000:00:1d.0: BAR 4: address space collision on of device [0xcfe0-0xcfff]
kernel: [ 0.076529] pci 0000:00:1d.0: BAR 4: can't allocate resource

Geir Ove Myhr (gomyhr) wrote :

Thank you for testing.

> The last kernel I can use without lockup is 2.6.31.2

Strange... Olie reported on bug 447892 that the last one working for
him was 2.6.31.1 and that 2.6.31.2 would freeze. It is possible that
the problems are slightly different. Could you check the kernels I
have compiled and put at http://www.kvante.info/855GMfreeze/ ? For
Olie everything up to 599-git522bb74 works without freeze and the
kernels from 600-git7abf3aa and above would freeze. Could you double
check that 600, 799, and 800 works without freeze for you? It is
entirely possible, but it means we have more work to do on this one,
and I would like to be sure before we start.

I would also really like to see some test of Lucid. It would be too
bad if it turns out that some later changes fixes this in Lucid, and
we go through a lot of trouble for nothing (it is unlikely that this
can be fixed with a Karmic update).

Jane Atkinson (irihapeti) wrote :

I think that these are different problems, one reason being that the lockup I experience can sometimes take an hour to appear, whereas bug 447892 seems to cause lockups almost immediately. I can test the custom kernels you mention and see what happens. Presumably, if 800 works, I don't need to test the other two?

I understand your point about going through a load of trouble for nothing, and I'd be happy to test Lucid on this laptop. As it happens, I have a spare partition on it which I can use for Lucid without upsetting the Karmic install.

Geir Ove Myhr (gomyhr) wrote :

> Presumably, if 800 works, I
> don't need to test the other two?

No, that shouldn't be necessary.

> The last kernel I can use without lockup is 2.6.31.2

So that means that the freezes start at 2.6.31.3 (and we're not
talking -rc3 here...)? I find that even stranger after looking at the
changelog:
http://git.kernel.org/?p=linux/kernel/git/stable/linux-2.6.31.y.git;a=shortlog;h=5eee394f24eca7d1f670ddc9d08a8d02c90e74ca

The only difference between 2.6.31.2 and 2.6.31.3 is a single patch
that fixes typos in what seems to be an unrelated part of the kernel.

Jane Atkinson (irihapeti) wrote :

Having tested the kernels you compiled for Olie, I can confirm that I am getting the freeze on 600, 799 and 800, but not 599.

It may simply be that I didn't test the 2.6.31.2 kernel for long enough - it sometimes takes an hour or so before I get a freeze.

I'm about to install Lucid on the spare partition and see how that behaves.

Geir Ove Myhr (gomyhr) wrote :

On Sat, Jan 2, 2010 at 10:10 PM, Irihapeti wrote:
> Having tested the kernels you compiled for Olie, I can confirm that I am
> getting the freeze on 600, 799 and 800, but not 599.

Great! That makes life easier for us :-)

Jane Atkinson (irihapeti) wrote :

I am also getting the freeze with Lucid. Unfortunately the machine won't boot with acpi=off added to the kernel line.

Gianfranco (gianfranco-alongi) wrote :

I can confirm the random freeze behavior with Ubuntu 9.10 on a Toshiba 10 Satellite, just freshly installed. Started googling the problem and found this bug report.

X freezes (gnome) from time to time and only a full power-reboot fixes the problem. Mouse can be moved but nothing else. Can't access ttys with Ctrl+Alt+F1 , .... , Sound still works (had internet radio on). Happens regardless of programs running, sometimes none, sometimes just Firefox.

greping the logs shows a lot of render errors, but I have no idea wether this is the root of the problem

/var/log/syslog.1:Jan 6 14:23:23 edokristina kernel: [ 1.661937] render error detected, EIR: 0x00000010
/var/log/syslog.1:Jan 6 14:23:23 edokristina kernel: [ 1.661944] [drm:i915_handle_error] *ERROR* EIR stuck: 0x00000010, masking
/var/log/syslog.1:Jan 6 14:23:23 edokristina kernel: [ 1.661962] render error detected, EIR: 0x00000010
/var/log/syslog.1:Jan 6 16:56:04 edokristina kernel: [ 2.415741] render error detected, EIR: 0x00000010
/var/log/syslog.1:Jan 6 16:56:04 edokristina kernel: [ 2.415749] [drm:i915_handle_error] *ERROR* EIR stuck: 0x00000010, masking
/var/log/syslog.1:Jan 6 16:56:04 edokristina kernel: [ 2.415768] render error detected, EIR: 0x00000010
/var/log/syslog.1:Jan 6 16:57:07 edokristina kernel: [ 89.131539] evolution-data-[3070]: segfault at abce07 ip 00cd2180 sp b6e9e490 error 7 in libdbus-1.so.3.4.0[ca6000+37000]
/var/log/syslog.1:Jan 6 17:41:35 edokristina kernel: [ 2.415155] render error detected, EIR: 0x00000010
/var/log/syslog.1:Jan 6 17:41:35 edokristina kernel: [ 2.415163] [drm:i915_handle_error] *ERROR* EIR stuck: 0x00000010, masking
/var/log/syslog.1:Jan 6 17:41:35 edokristina kernel: [ 2.415182] render error detected, EIR: 0x00000010
/var/log/syslog.1:Jan 6 20:06:39 edokristina kernel: [ 2.406191] render error detected, EIR: 0x00000010
/var/log/syslog.1:Jan 6 20:06:39 edokristina kernel: [ 2.406199] [drm:i915_handle_error] *ERROR* EIR stuck: 0x00000010, masking
/var/log/syslog.1:Jan 6 20:06:39 edokristina kernel: [ 2.406217] render error detected, EIR: 0x00000010
/var/log/syslog.1:Jan 7 00:09:38 edokristina kernel: [ 2.410916] render error detected, EIR: 0x00000010
/var/log/syslog.1:Jan 7 00:09:38 edokristina kernel: [ 2.410922] [drm:i915_handle_error] *ERROR* EIR stuck: 0x00000010, masking
/var/log/syslog.1:Jan 7 00:09:38 edokristina kernel: [ 2.410942] render error detected, EIR: 0x00000010

Will try to modify grub with acpi=off and see wether it fixes the problem.

Gianfranco (gianfranco-alongi) wrote :

I have not seen any freezes since adding acpi=off, but I am logged out every time I visit this swedish hifi page,

www.agrenshifi.com/hem.html

This is happening with Firefox 3.5.6 and ubuntu 9.10 on the Toshiba A10 Satellite. After being logged out, Firefox is unable to restore the tabs and the "oops this is embarasing" message is shown. Any thoughts?

I do not know if this is related in any way.

Geir Ove Myhr (gomyhr) wrote :

Gianfranco, when you are logged out visiting that web page, what happens is probably that something crashes xorg. You will probably see a backtrace in the end of /var/log/Xorg.0.log.old afterwards, which would confirm this. This is a different kind of bug from this one, and should be reported separately.

Geir Ove Myhr (gomyhr) wrote :

[This comment goes to freeze bugs on intel 855GM]

At bug 456902 (similar freezes on 845G) there is currently an effort to find where xserver-xorg-video-intel and/or libdrm changed and so that the freezes were triggered. Brian Rogers has a PPA that he is updating libdrm and -intel until they catch a version which freezes (they first found that a standard Karmic kernel with Jaunty libdrm and -intel did not freeze). It is possible that the same is true for 855GM and this is a chance to catch a free ride from the 845G testing effort. In order to test, use the standard Karmic kernel and add Brian's PPA: https://launchpad.net/~brian-rogers/+archive/graphics-testing . See the bug 456902 comment #29 and after for more details.

Apologies if someone already reported that Jaunty with Karmic kernel also freezes. In that case, testing older -intel and libdrm in Karmic is probably pointless. I'm loosing the overview as there are many similar bug reports on 845G, 855GM and 945G/945GM, and I forget exactly what is already tested for each chipset.

Jane Atkinson (irihapeti) wrote :

I added Brian's PPA to my sources.list and installed the current versions of the packages. Unfortunately, I got the lock-up after only a few minutes.

Software versions are:
Kernel: 2.6.31-17-generic
libdrm: 1:2.4.11-2+karmic3
xserver-xorg-video-intel: 3:2.8.1-1ubuntu3+karmic

No older versions of Brian's packages are currently available, otherwise I'd test them.

Jane Atkinson (irihapeti) wrote :

@Geir
I just remembered that I originally tested a "retro" (Jaunty, I think) version of xserver-xorg-video-intel as one of my first experiments, and it locked up rapidly (see original report at the top of this thread). So maybe there's not much point in getting older versions of Brian's packages.

I'm also running Lucid on this laptop and for the last few days I've been able to boot with nomodeset and use the vesa driver with no lockups after many hours. As I don't use desktop effects on this machine, I'm quite happy with the workaround.

Geir Ove Myhr (gomyhr) on 2010-01-29
Changed in xserver-xorg-video-intel (Ubuntu):
status: Confirmed → Triaged
importance: Undecided → High
Changed in xserver-xorg-video-intel:
status: Unknown → Confirmed
Bryce Harrington (bryce) on 2010-02-25
tags: added: xubuntu
Bryce Harrington (bryce) on 2010-03-02
summary: - [i855] Xserver freezing on Toshiba Satellite A10 (Intel 82852/855GM)
+ [i855] [i855] Xserver freezing on Toshiba Satellite A10 (Intel
+ 82852/855GM)
Bryce Harrington (bryce) on 2010-03-02
summary: - [i855] [i855] Xserver freezing on Toshiba Satellite A10 (Intel
- 82852/855GM)
+ [i855] Xserver freezing on Toshiba Satellite A10 (Intel 82852/855GM)
28 comments hidden view all 108 comments
Jane Atkinson (irihapeti) wrote :

Geir:
No, I wasn't aware of that. Thanks for letting me know. I probably won't be able to do anything about it until tomorrow, though.

Do I do the testing with the standard xserver-xorg.video-intel, or do I need to install the xorg-edgers version for the test?

Geir Ove Myhr (gomyhr) wrote :

> Do I do the testing with the standard xserver-xorg.video-intel, or do I
> need to install the xorg-edgers version for the test?

I don't think it will make a difference, but if you'd like to err on
the safe side, then use xorg-edgers. Most of the code involved is in
the kernel anyway, and these newer kernels have some debugging
capabilities that the previous ones didn't have.

Created an attachment (id=33988)
i915_error_state from intel-drm-next kernel

This one has PGTBL_ER: 0x00000000, so it may be different from the rest. Also, IPEHR doesn't match the instruction before the ACTHD address, so I guess this is another GPU/CPU incoherency hang.

Created an attachment (id=33989)
dmesg output from when i915_error_state was captured

Created an attachment (id=33990)
Xorg.0.log from when i915_error_state was captured

Jane Atkinson (irihapeti) wrote :

I got the testing done sooner than expected. The logs are attached.

Jane Atkinson (irihapeti) wrote :
Jane Atkinson (irihapeti) wrote :
Jane Atkinson (irihapeti) wrote :

The logs were copied from the laptop via ssh, as in the past, while it was still hung.

I've been having other problems with X and gdm on the laptop, but I think these are to do with recent updates and probably not just intel things.

Geir Ove Myhr (gomyhr) wrote :

Thank you. I have uploaded them to the upstream report. The dump seemed a bit different this time from before. Before you had a page table error, which you could see as PGTBL_ER: 0x00000049 in the dump output and it would also be visible in the output of dmesg. Now it says PGTBL_ER: 0x00000000 in the i915_error_state, which means no page table error is detected. It could be that there is more than one bug here, or that some problem is fixed in the newer kernel. Could you try a couple of times and see if you get any page table errors (it's right at the start of i915_error_state). If you do, please upload the files directly to the upstream bug report.

Jane Atkinson (irihapeti) wrote :

I've tried a couple more times, and both times show PGTBL_ER: 0x00000000

Geir Ove Myhr (gomyhr) wrote :

Okay, thank you. Let's see if Chris can make some sense of the dump upstream, then.

Geir Ove Myhr (gomyhr) wrote :

Irihapeti, one more thing... Do you have the possibility to test with standard Lucid (i.e no xorg-edgers or mainline kernel) if you still get freezes with "nomodeset". From Karmic, the experience is that it doesn't help, but it would be nice to know if this has changed in Lucid so we know if it may be used as a workaround.

Jane Atkinson (irihapeti) wrote :

Sorry, it totally refuses to boot with "nomodeset". In recovery mode, I get as far as the recovery menu, choose "continue", get the message "rc.sysinit....." and then it stops.

"nomodeset" with the vesa driver used to be a workaround for me, but I haven't used it for a while. Should I test that?

Jane Atkinson (irihapeti) wrote :

Update:
Just discovered something that might make a difference to the bug reports.

The laptop won't currently run without an xorg.conf.failsafe file.

Section "Device"
 Identifier "Configured Video Device"
 Driver "fbdev"
EndSection

Section "Monitor"
 Identifier "Configured Monitor"
EndSection

Section "Screen"
 Identifier "Default Screen"
 Monitor "Configured Monitor"
 Device "Configured Video Device"
EndSection

I might try a vesa version and see if it will work.

On Fri, Mar 12, 2010 at 4:22 PM, Irihapeti <email address hidden> wrote:
> Sorry, it totally refuses to boot with "nomodeset". In recovery mode, I
> get as far as the recovery menu, choose "continue", get the message
> "rc.sysinit....." and then it stops.

Okay. It has been disabled for a while but we re-enabled it in
xserver-xorg-video-intel 2.9.1-1ubuntu12. If it doesn't work with that
or -1ubuntu13, then never mind.

> "nomodeset" with the vesa driver used to be a workaround for me, but I
> haven't used it for a while. Should I test that?

No, that shouldn't be necessary.

(In reply to comment #5)
> This looks like the CPU/GPU coherency issue with a twist. Both gpu dumps have
> recorded PGTBL_ERR=0x49, which is unusual.

We have several automatic bug reports in ubuntu with PGTBL_ER=0x49, so it shouldn't be too unusual.

https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-intel/+bug/534108
https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-intel/+bug/534051
https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-intel/+bug/534002
https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-intel/+bug/533976

The first three are on i845 with 2.6.32 drm (which is what we have most bug reports from) and the last one is i855 on 2.6.31. I haven't seen it in on 2.6.33 drm or drm-intel-next yet.

Jane Atkinson (irihapeti) wrote :

Live CD image of 20100419.1 needs "i915.modeset=0 xforcevesa" added to the boot command line, or it just locks up, presumably when trying to start the x server.

tags: added: iso-testing
C (ubuntu-caranfil) wrote :

Problem present on Dell Latitude X300 in Lucid RC (20100419.1).
The system boots with xforcevesa.
HOWEVER the problem was NOT present in Lucid Beta1 !!!

Jane Atkinson (irihapeti) wrote :

The need to use "i915.modeset=0 xforcevesa" still exists in 10.04 final. I hope that there's a note somewhere for people who are likely to encounter this problem.

Jane Atkinson (irihapeti) wrote :

Also, I think that C is correct: this is a problem of fairly recent origin.

Hello

It is by far better on Lucid release 32-bit. The only way of booting a toshiba a10 is by putting it in the recovery mode. Neither the display is detected or the wireless adapter work, but that is the lucant-agere bug, described elsewhere. The computer worked fine on Karmic, and is unusable now.

Best regards

Jane Atkinson (irihapeti) wrote :

@Antonio
I wouldn't go so far as to say that a Satellite A10 is unusable, but you will need a /etc/X11/xorg.conf file, using the vesa driver. You can use the configuration from message #74 but with "vesa" instead of "fbdev" as the driver.

ok, agreed, of course i can boot and use the stuff, and if you look at my web page, maybe you find some extra tips to get it going, but, the question is, will the regular user be able to do it?

All the best

Jane Atkinson (irihapeti) wrote :

@Antonio
I agree with your comment about the regular user. Even finding the info can be a bit tricky. For example, I already knew about needing to use "i915.modeset=0 xforcevesa" in the boot line, but I couldn't find it from the front page of the Ubuntu website, even though I knew that there was a page of known issues somewhere. How is an anxious new user going to cope?

@Anyone
I've encountered a few users who are limited to a resolution of 640x480 or so when they use the vesa driver, and yet their machines are older ones that will do 1024x768. My A10 defaults to 1024x768. What can we do to get a higher resolution for them? Adding modelines doesn't seem to do it.

Chris Halse Rogers (raof) wrote :

Ok! Ladies and Gentlemen! Chris Wilson of upstream fame has done some work to re-integrate a legacy driver for the Intel cards that have been hard done by in the GEM transition.

The xserver-xorg-video-intel packages in https://edge.launchpad.net/~raof/+archive/aubergine have a GEM-less legacy driver re-integrated which is activated when KMS is disabled - which it is by default on your card for Lucid.

It would be useful if you could remove any work-arounds you've used to get your system more stable and test the drivers from this PPA. They should hopefully end up slightly more stable than the drivers in Ubuntu 9.04 (Jaunty), which were the last set of drivers to not use the GEM memory manager, and so significantly more stable than the drivers in Ubuntu 9.10 and Ubuntu 10.04 (Karmic and Maverick).

Could you please test the drivers from this PPA and report your experiences with them?

Changed in xserver-xorg-video-intel (Ubuntu):
assignee: nobody → Chris Halse Rogers (raof)
C (ubuntu-caranfil) wrote :

Will the xserver-xorg-video-intel packages from https://edge.launchpad.net/~raof/+archive/aubergine make any difference if the bug was from having KMS disabled (and my current fix is looking like "options i915 modeset=1" under /etc/modprobe.d) ???

Stenten (stenten) wrote :

C,

That's the hope. Please install the new driver and remove your KMS-enabling workaround (so you boot into UMS) and report back. I've added specific instructions for how to do both at [1]. Let me know if you have any questions.

[1]: https://wiki.ubuntu.com/X/Bugs/Lucidi8xxFreezes

Another look:

0x077ac270: 0x7d8e0001: 3DSTATE_BUFFER_INFO
0x077ac274: 0x03800c40: color, tiling = fenced, pitch=3136
0x077ac278: 0x07af6000: address

Old tiling bug.

C (ubuntu-caranfil) wrote :

I did install the new version but it seems that it does not fix the problems when needing i915.modeset=1

The installation was a little strange but in the end it seems that I have:

xserver-xorg-video-intel
2:2.12.0+legacy20100802-0~raof1~lucid

but the output from Xorg -version looks like

X.Org X Server 1.7.6
Release Date: 2010-03-17
X Protocol Version 11, Revision 0
Build Operating System: Linux 2.6.24-27-server i686 Ubuntu
Current Operating System: Linux X300 2.6.32-24-generic #39-Ubuntu SMP Wed Jul 28 06:07:29 UTC 2010 i686
Kernel command line: BOOT_IMAGE=/boot/vmlinuz-2.6.32-24-generic root=UUID=bce659dd-0ce4-414c-b3a2-5be7e792b81b ro i915.modeset=1
Build Date: 21 July 2010 12:47:34PM
xorg-server 2:1.7.6-2ubuntu7.3 (For technical support please see http://www.ubuntu.com/support)
Current version of pixman: 0.16.4

I have attached Xorg.0.log with more details ...

Jane Atkinson (irihapeti) wrote :

I was finding that the packages from raof PPA weren't helping.

I'm currently using the glasen PPA packages successfully.

Changed in xserver-xorg-video-intel:
importance: Unknown → Medium
status: Confirmed → Fix Released
Changed in xserver-xorg-video-intel (Ubuntu):
assignee: Chris Halse Rogers (raof) → nobody
Changed in xserver-xorg-video-intel (Ubuntu):
status: Triaged → Fix Released
Chris Halse Rogers (raof) wrote :

I'm marking this as fix released - upstream has identified that this was caused by an old libdrm bug.
You will still, of course, hit the GTT incoherency crashes (bug #541511), which are a separate bug.

Changed in xserver-xorg-video-intel:
importance: Medium → Unknown
Changed in xserver-xorg-video-intel:
importance: Unknown → Medium
Jeffrey Rolland (jrolland) wrote :

This bug still affects me. I'm using an Acer Aspire <http://www.newegg.com/Product/Product.aspx?Item=N82E16883103369> with a 21.5" Acer screen <http://www.newegg.com/Product/Product.aspx?Item=N82E16824009299> and Ubuntu Natty Desktop x64. When I lock the screen and leave it for a while (minimum ~2 hours?), I will not receive the login to session screen, and instead have to reboot the computer.

Please help.

Chad Miller (cmiller) wrote :

First time it's happened to me, after three years with this hardware. Oneiric up-to-date.

linux-image 3.0-2-generic
xserver-xorg-video-intel 2:2.15.0-3ubuntu1
xserver-xorg-input-evdev 1:2.6.0-1ubuntu12

Jun 28 16:02:07 localhost kernel: [11050.384059] [drm:i915_hangcheck_elapsed] *ERROR* Hangcheck timer elapsed... GPU hung
Jun 28 16:02:07 localhost kernel: [11050.384074] [drm] capturing error event; look for more information in /debug/dri/0/i915_error_state
Jun 28 16:02:07 localhost kernel: [11050.391508] [drm:i915_wait_request] *ERROR* i915_wait_request returns -11 (awaiting 476986 at 476976, next 477014)

X.Org X Server 1.10.2
Release Date: 2011-05-28
X Protocol Version 11, Revision 0
Build Operating System: Linux 2.6.24-27-server i686 Ubuntu
Current Operating System: Linux hypatia 3.0-2-generic #3-Ubuntu SMP Fri Jun 24 19:09:43 UTC 2011 i686
Kernel command line: root=UUID=24becfaf-5998-47e3-b62d-18c5e13146b2 ro quiet splash
Build Date: 16 June 2011 02:43:32AM
xorg-server 2:1.10.2-1ubuntu1 (For technical support please see http://www.ubuntu.com/support)
Current version of pixman: 0.21.8
 Before reporting problems, check http://wiki.x.org
 to make sure that you have the latest version.

[ 11050.394] (EE) intel(0): Detected a hung GPU, disabling acceleration.
[ 11050.394] (EE) intel(0): When reporting this, please include i915_error_state from debugfs and the full dmesg.
[ 11083.687] [mi] EQ overflowing. The server is probably stuck in an infinite loop.
[ 11083.687]
Backtrace:
[ 11083.696] 0: /usr/bin/X (xorg_backtrace+0x37) [0x80ec197]
[ 11083.696] 1: /usr/bin/X (mieqEnqueue+0x1d1) [0x80eb3d1]
[ 11083.696] 2: /usr/bin/X (xf86PostMotionEventM+0xb0) [0x80c6c70]
[ 11083.696] 3: /usr/lib/xorg/modules/input/evdev_drv.so (0x21a000+0x368f) [0x21d68f]
[ 11083.696] 4: /usr/lib/xorg/modules/input/evdev_drv.so (0x21a000+0x54e9) [0x21f4e9]
[ 11083.696] 5: /usr/lib/xorg/modules/input/evdev_drv.so (0x21a000+0x5d4d) [0x21fd4d]
[ 11083.696] 6: /usr/bin/X (0x8048000+0x6ba11) [0x80b3a11]

if it happens again, I'll connect from another machine and get i915_error_state state.

Proskurin Kirill (oloremo) wrote :

Still have this bug

Ubuntu 11.04 - 2.6.38-10-generic
All up to date.

00:02.0 VGA compatible controller [0300]: Intel Corporation Core Processor Integrated Graphics Controller [8086:0042] (rev 12) (prog-if 00 [VGA controller])

xserver-xorg-video-intel2:2.14.0-4ubuntu7.1
intel-gpu-tools1.0.2+git20100324-0ubuntu1
libdrm-intel12.4.23-1ubuntu6
libdrm-nouveau12.4.21-1ubuntu2.1
libdrm-nouveau1a2.4.23-1ubuntu6
libdrm-radeon12.4.23-1ubuntu6
libdrm22.4.23-1ubuntu6

It is appers only then I switching from one virtual desctop to other by Ctrl+Atl+Arrow. Screen freze and nothing helps.
I got:

[drm:i915_hangcheck_elasped] *Error* Hungcheck timer elasped... Gpu hung
[drm:i915_do_wait_requeest] *Error* i915_do_wait_request returns -11 (awaiting 55080424 at 55080201, next 55080425)

Yuriy Voziy (yuretsz) wrote :

Got this bug in 11.04
2.6.39-0-generic-pae #5~20110427-Ubuntu SMP Wed Apr 27 18:53:48 UTC 2011 i686 i686 i386 GNU/Linux

[28019.516461] [drm:i915_hangcheck_elapsed] *ERROR* Hangcheck timer elapsed... GPU hung
[28019.516472] [drm] capturing error event; look for more information in /debug/dri/0/i915_error_state
[28019.520538] [drm:i915_wait_request] *ERROR* i915_wait_request returns -11 (awaiting 2158999 at 2158998, next 2159009)
[28021.643266] [drm:i915_hangcheck_elapsed] *ERROR* Hangcheck timer elapsed... GPU hung
[28021.643296] [drm:i915_wait_request] *ERROR* i915_wait_request returns -11 (awaiting 2159017 at 2158998, next 2159018)
[28021.643447] [drm:i915_reset] *ERROR* GPU hanging too fast, declaring wedged!
[28021.643452] [drm:i915_reset] *ERROR* Failed to reset chip.
[28078.148431] [drm:drm_mode_getfb] *ERROR* invalid framebuffer id
[28078.148442] [drm:drm_mode_getfb] *ERROR* invalid framebuffer id
[28083.949848] [drm:drm_mode_getfb] *ERROR* invalid framebuffer id
[28083.949855] [drm:drm_mode_getfb] *ERROR* invalid framebuffer id

Thierry (thierry38) wrote :
Download full text (3.2 KiB)

I'm also having this bug, running Ubuntu 10.04, with latest kernel available (2.6.38-10 pae).

===
=== Error message
===
[43327.520095] [drm:i915_hangcheck_elapsed] *ERROR* Hangcheck timer elapsed... GPU hung
 [43327.524194] [drm:i915_do_wait_request] *ERROR* i915_do_wait_request returns -11 (awaiting 1615781 at 1615776, next 1615783)
[43329.324014] [drm:i915_hangcheck_elapsed] *ERROR* Hangcheck timer elapsed... GPU hung
[43329.948017] [drm:i915_reset] *ERROR* Failed to reset chip.

===
=== System OS
===
Linux Raistlin4 2.6.38-10-generic-pae #46~lucid1-Ubuntu SMP Wed Jul 6 20:34:59 UTC 2011 i686 GNU/Linux

===
=== Video Hardware
===
     *-pci
          description: Host bridge
          product: Mobile 4 Series Chipset Memory Controller Hub
          vendor: Intel Corporation
          physical id: 100
          bus info: pci@0000:00:00.0
          version: 07
          width: 32 bits
          clock: 33MHz
          configuration: driver=agpgart-intel
          resources: irq:0
        *-display:0
             description: VGA compatible controller
             product: Mobile 4 Series Chipset Integrated Graphics Controller
             vendor: Intel Corporation
             physical id: 2
             bus info: pci@0000:00:02.0
             version: 07
             width: 64 bits
             clock: 33MHz
             capabilities: bus_master cap_list rom
             configuration: driver=i915 latency=0
             resources: irq:45 memory:d0000000-d03fffff memory:c0000000-cfffffff ioport:40f0(size=8)
        *-display:1 UNCLAIMED
             description: Display controller
             product: Mobile 4 Series Chipset Integrated Graphics Controller
             vendor: Intel Corporation
             physical id: 2.1
             bus info: pci@0000:00:02.1
             version: 07
             width: 64 bits
             clock: 33MHz
             capabilities: bus_master cap_list
             configuration: latency=0
             resources: memory:d0400000-d04fffff

===
=== Xorg main packages
===
xserver-xorg 1:7.5+5ubuntu1
xserver-xorg-video-intel 2:2.9.1-3ubuntu5
libdrm-dev 2.4.18-1ubuntu3
libdrm-intel1 2.4.18-1ubuntu3
libdrm-nouveau1 2.4.18-1ubuntu3
libdrm-radeon1 2.4.18-1ubuntu3
libdrm2 2.4.18-1ubuntu3

===
=== Xorg -version
===
X.Org X Server 1.7.6
Release Date: 2010-03-17
X Protocol Version 11, Revision 0
Build Operating System: Linux 2.6.24-27-server i686 Ubuntu
Current Operating System: Linux Raistlin4 2.6.38-10-generic-pae #46~lucid1-Ubuntu SMP Wed Jul 6 20:34:59 UTC 2011 i686
Kernel command line: BOOT_IMAGE=/boot/vmlinuz-2.6.38-10-generic-pae root=UUID=df98d7ae-47a5-4b85-87b5-5fdcef49a7f8 ro quiet splash
Build Date: 08 March 2011 08:22:50AM
xorg-server 2:1.7.6-2ubuntu7.6 (For technical support please see http://www.ubuntu.com/support)
Current version of pixman: 0.16.4

   Any...

Read more...

Turgut Genc (turgutgenc) wrote :

2011.09.21 and still having the same driver issue. I'd gladly supply traces and/or error documents.

Lenovo - Thinkpad X201
Ubuntu 11.04
2.6.38-11-generic-pae #50-Ubuntu SMP Mon Sep 12 22:21:04 UTC 2011 i686 i686 i386 GNU/Linux

Everything's up-to-date.

GDM/KDM/Gnome/Kde/Compiz/metacity/kwin does not matter:

11083.980409] [drm:i915_hangcheck_elapsed] *ERROR* Hangcheck timer elapsed... GPU hung
[11083.983236] [drm:i915_do_wait_request] *ERROR* i915_do_wait_request returns -11 (awaiting 12079110 at 12079103, next 12079111)
[11086.913018] [drm:i915_hangcheck_elapsed] *ERROR* Hangcheck timer elapsed... GPU hung
[11086.913033] [drm:i915_do_wait_request] *ERROR* i915_do_wait_request returns -11 (awaiting 12079116 at 12079103, next 12079117)
[11086.913219] [drm:i915_reset] *ERROR* GPU hanging too fast, declaring wedged!
[11086.913222] [drm:i915_reset] *ERROR* Failed to reset chip.

I'm sick of it, heed me, save us !

oldmankit (oldmankit) wrote :

I have been having this problem since I bought a new laptop. Switching to unity-2d has removed all crashes, however, I would like to go back to 3d if I can.

oldmankit (oldmankit) wrote :

I believe I may have found a fix for my computer (closing the lid doesn't crash any more, and I haven't had any X crashes since doing this):

`sudo add-apt-repository ppa:ubuntu-x-swat/x-updates
sudo apt-get update
sudo apt-get upgrade`

Displaying first 40 and last 40 comments. View all 108 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.